Bug 903515 - Tor package requires security fixes
Summary: Tor package requires security fixes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-24 08:41 UTC by Jamie Nguyen
Modified: 2020-11-05 10:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-16 01:39:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Jamie Nguyen 2013-01-24 08:41:12 UTC
Current version in Fedora is 0.2.2.37. Current stable version on 0.2.2.x branch upstream is 0.2.2.39, which includes security fixes. Please update.

Comment 2 Jamie Nguyen 2013-01-25 11:07:26 UTC
These packages are still in [updates-testing] and have been for 4 months.

Comment 3 Enrico Scholz 2013-01-27 10:48:20 UTC
when nobody tests them, I can not release them

Comment 4 Jamie Nguyen 2013-01-27 12:00:04 UTC
If you prefer not to release updates until it has received enough karma then it's your responsibility as maintainer to make sure testers are aware that it needs testing and chase them down if need be. If you don't have time, you could always take on a co-maintainer. All Fedora maintainers are encouraged to take on at least 2 co-maintainers, and I did offer 4 months ago but never received a reply. Perhaps my email to you was lost in the post.


Also, even critical path updates don't require any karma:

https://fedoraproject.org/wiki/Bodhi#Karma_requirements_for_Critical_Path_updates
"Critical Path updates now simply require a karma sum of +2, or can be pushed after a 14-day wait if they have received no negative karma."


Anyway, I've added some karma and I've also done the honours for you of posting to fedora-devel asking for testing :)

Comment 5 Jamie Nguyen 2013-01-28 22:01:22 UTC
After chasing down testers on ML and IRC, F17 update has +4 karma hooray :)

Comment 6 Kevin Fenzi 2013-01-30 16:36:19 UTC
(In reply to comment #3)
> when nobody tests them, I can not release them

What evidence do you have that no one has tested them? Many people could have, but simply not left karma because it worked for them.

Comment 7 Fedora Update System 2013-02-06 22:45:03 UTC
tor-0.2.3.25-1800 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tor-0.2.3.25-1800

Comment 8 Fedora Update System 2013-02-06 22:46:36 UTC
tor-0.2.3.25-1700 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tor-0.2.3.25-1700

Comment 9 Fedora Update System 2013-02-08 02:07:00 UTC
Package tor-0.2.3.25-1700:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tor-0.2.3.25-1700'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2023/tor-0.2.3.25-1700
then log in and leave karma (feedback).

Comment 10 Fedora Admin XMLRPC Client 2013-02-27 19:09:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Update System 2013-03-05 00:35:04 UTC
tor-0.2.3.25-1802.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tor-0.2.3.25-1802.fc18

Comment 12 Fedora Update System 2013-03-12 07:54:58 UTC
tor-0.2.3.25-1702.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tor-0.2.3.25-1702.fc17

Comment 13 Fedora Update System 2013-03-16 01:39:27 UTC
tor-0.2.3.25-1802.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-03-24 22:51:40 UTC
tor-0.2.3.25-1702.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.